Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server
Class ServerInterceptor

    java.lang.Object
      org.jboss.portal.server.ServerInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

Direct Known Subclasses:
  ContentTypeInterceptor, IdentityBindingInterceptor, IdentityCacheInterceptor, LocaleInterceptor, LocaleInterceptor, PortalContextPathInterceptor, SignOutInterceptor, TransactionInterceptor, UserEventBridgeTriggerInterceptor, UserInterceptor

    public abstract class ServerInterceptor

extends java.lang.Object
implements org.jboss.portal.common.invocation.Interceptor

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`ServerInterceptor()`

Method Summary
`java.lang.Object` | `invoke(org.jboss.portal.common.invocation.Invocation invocation)`
`protected abstract void` | `invoke(ServerInvocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerInterceptor

    public ServerInterceptor()

Method Detail

### invoke

    public java.lang.Object invoke(org.jboss.portal.common.invocation.Invocation invocation)
                            throws java.lang.Exception,
                                   org.jboss.portal.common.invocation.InvocationException

  Specified by:
    `invoke` in interface `org.jboss.portal.common.invocation.Interceptor`
  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

### invoke

    protected abstract void invoke(ServerInvocation invocation)
                            throws java.lang.Exception,
                                   org.jboss.portal.common.invocation.InvocationException

  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD